/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.core.platform.osgi.internal;

import java.util.Collection;

import org.apache.muse.core.SimpleResourceManager;

/**
 * this class is a stub implementaiton of a ResourceManager that allows
 * a resource manager to be instantiated with no resource definitions.
 * This manager is used by the <code>OSGiResourceRouter</code> and is really only intended
 * to be used by <code>ResourceManagementProvider</code> implementations 
 * 
 * @author Joel Hawkins(joelh)
 *
 */
public class OSGiResourceManager extends SimpleResourceManager {
	
	/**
	 * adds resource definitions to the manager. If the collection is
	 * empty or null, no action is taken
	 * @param definitions the collection of resource definitions to be added to the manager
	 */
    public void addResourceDefinitions(Collection definitions) {
    	if(definitions == null || definitions.isEmpty()) return;
    	super.addResourceDefinitions(definitions);
    }
	

}
