/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.core.platform.osgi.mini.internal;

import java.io.IOException;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.muse.core.platform.mini.MiniIsolationLayer;
import org.apache.muse.core.platform.mini.MiniServlet;

public class OSGiMinServlet extends MiniServlet {

	protected MiniIsolationLayer createIsolationLayer(HttpServletRequest request, ServletContext context)
    {
        OSGiMiniIsolationLayer isolationLayer = new OSGiMiniIsolationLayer(request, context);
        isolationLayer.initialize();
        return isolationLayer;
    }
	
    /**
     * 
     * POST handles all SOAP requests. The HTTP POST data is converted into 
     * a SOAP envelope and processed by MiniIsolationLayer.
     * 
     */
    public void doPost(HttpServletRequest request, HttpServletResponse response) 
    throws IOException
    {
    	try {
    		request.getContextPath();
        	super.doPost(request, response);
    	}catch(Throwable t){
    		super.doPost(new RequestWrapper(request), response);
    	}
    
    }


}
