/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.ws.resource.properties.set.faults;

import org.apache.muse.ws.resource.basefaults.BaseFault;
import org.apache.muse.ws.resource.properties.WsrpConstants;
import org.w3c.dom.Element;

/**
 * 
 * @author Mohammad Fakhar
 *
 */

public class UnableToPutResourcePropertyDocumentFault extends BaseFault
{
    private static final long serialVersionUID = 7882599000949695852L;

    public UnableToPutResourcePropertyDocumentFault(Element xml)
    {
        super(xml);
    }

    public UnableToPutResourcePropertyDocumentFault(String message)
    {
        super(WsrpConstants.UNABLE_TO_PUT_RP_QNAME, message);
    }

    public UnableToPutResourcePropertyDocumentFault(String message, Throwable cause)
    {
        super(WsrpConstants.UNABLE_TO_PUT_RP_QNAME, message, cause);
    }

    public UnableToPutResourcePropertyDocumentFault(Throwable cause)
    {
        super(WsrpConstants.UNABLE_TO_PUT_RP_QNAME, cause);
    }
}
